<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
</head>
<body>
    <header>
        <nav>
            {% if user.is_authenticated %}
                <a href="{%url 'create_account' %}">Create Account</a>
                <a href="{%url 'create_category' %}">Create Category</a>
                <a href="{%url 'create_receipt' %}">Create Receipt</a>
                <a href="{%url 'account_list' %}">Receipts</a>
                <a href="{%url 'logout' %}">Logout</a>
            {% else %}
            <a href="{% url 'signup' %}">Sign up</a>
            <a href="{% url 'login' %}">Login</a>
            {% endif %}
        </nav>
    </header>
    <main>
        <h1>My Receipts</h1>
        <table>
            <thead>
                <tr>
                    <th>Vendor</th>
                    <th>Total</th>
                    <th>Tax</th>
                    <th>Date</th>
                    <th>Category</th>
                    <th>Account</th>
                </tr>
            </thead>
            <tbody>
                {% for receipt in receipts %}
                    <tr>
                        <td>{{ receipt.vendor }}</td>
                        <td>{{ receipt.total }}</td>
                        <td>{{ receipt.tax }}</td>
                        <td>{{ receipt.date|date:"m/d/y" }}</td>
                        <td>{{ receipt.category.name }}</td>
                        <td>{{ receipt.account.name }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
